/**
 * Created by cxm on 16/12/18.
 */

judpAppServ.factory('WelcomeSrv', function (Util) {
    var regUser = {
        nickName: "",
        nickNameValid: false,
        mobile: "",
        smsCode: "",
        smsCodeText: "验证码",
        mobileValid: false,
        password: "",
        rePassword: "",
        cityCode: "",
        areaCode: "",
        schoolCode: "",
        schoolName: "",
        grade: "1",
        class: "1",
        msg: ""
    };

    return {
        getRegUser: function () {
            return regUser;
        },
        regUser: function () {
            return Util.ajax.post("/register/register/", this.getRegUser());
        },
        searchSchool: function (areaCode, name) {
            return Util.ajax.get("/register/schools/" + areaCode + "/" + name);
        },
        smsCode: function (mobile) {
            return Util.ajax.post("/sms/regmess", {"mobile": mobile});
        },
        resetSmsCode: function (mobile) {
            return Util.ajax.post("/sms/resetmess", {"mobile": mobile});
        },
        resetPassword: function (mobile, password, smsCode) {
            return Util.ajax.post("/register/resetpassword", {
                "mobile": mobile,
                "password": password,
                "smsCode": smsCode
            });
        },
        checkSmsCode: function (mobile, code) {
            return Util.ajax.post("/sms/regckcode", {"mobile": mobile, "code": code});
        },
        validateMobile: function (mobile) {
            return Util.ajax.get("/register/checkMobile/" + mobile);
        },
        getRegAreas: function () {
            return Util.ajax.get("/register/regAreas");
        },
        getAreas: function (cityCode) {
            return Util.ajax.get("/register/areas/" + cityCode);
        }
    }
});